import Head from 'next/head'
import styles from '../styles/Commissions.module.css'
import Header from '../components/header';
import Footer from '../components/footer';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
import { faPoundSign } from '@fortawesome/free-solid-svg-icons'

export default function Commissions() {
  return (
    <div className="page">
        <Head>
            <title>Trick - Commissions</title>

            <meta property="og:type" content="website" />
            <meta property="og:url" content="https://trickthefox.com/commissions" />
            <meta property="og:title" content="Trick - Commissions" />
            <meta property="og:description" content="Trick's commission sheet!" />
            <meta property="og:image" content="/trick.jpg" />

            <meta property="twitter:card" content="summary_large_image" />
            <meta property="twitter:url" content="https://trickthefox.com/commissions" />
            <meta property="twitter:title" content="Trick - Commissions" />
            <meta property="twitter:description" content="Trick's commission sheet!" />
            <meta property="twitter:image" content="/trick.jpg" />

            <meta name="theme-color" content="#4f4fff" />
        </Head>

        <Header />

        <div className="container">
            <article className="content">

                <div className="card">
                    <h1 className="h-unset">Commission sheet</h1>
                    <h4 className="h-unset"><a href="/contact" className="link">Contact me</a> for more information.</h4>

                    <hr />

                    <section className={styles.row}>
                        <div>
                            <h2>Headshot Icon</h2>
                            <p><FontAwesomeIcon icon={faPoundSign} size="1x" /> 15+</p>
                        </div>

                        <div className={styles.gapped}>
                            <div>
                                <img src="/vulpirius_foxx_headshot.png"></img>
                            </div>
                            <div>
                                <img src="/trickdounut.png"></img>
                            </div>
                        </div>
                    </section>

                    <hr />

                    <section className={styles.row}>
                        <div>
                            <h2>Full body artworks</h2>
                            <p><FontAwesomeIcon icon={faPoundSign} size="1x" /> 25+ for one peep</p>
                        </div>

                        <div className={styles.gapped}>
                            <div>
                                <img src="/!wow.png"></img>
                            </div>
                        </div>
                    </section>

                    <hr />

                    <section className={styles.row}>
                        <div>
                            <h2>Ref sheets</h2>
                            <p><FontAwesomeIcon icon={faPoundSign} size="1x" /> 30+ extras</p>
                        </div>

                        <div className={styles.gapped}>
                            <div>
                                <img src="/trick_ref_3.png"></img>
                            </div>
                        </div>
                    </section>

                    <hr />

                    <section className={styles.row}>
                        <div>
                            <h2>NSFW Commissions</h2>
                            <p><FontAwesomeIcon icon={faPoundSign} size="1x" /> 30+ per peep</p>
                        </div>

                        <div className={styles.gapped}>
                            <div>
                                <img src="/owwwo.png"></img>
                            </div>
                        </div>
                    </section>

                    <hr />

                    <section className={styles.row}>
                        <div>
                            <h2>Large Group Artworks</h2>
                            <p>
                                <FontAwesomeIcon icon={faPoundSign} size="1x" /> 100+ for 8 peeps <br />
                                <FontAwesomeIcon icon={faPoundSign} size="1x" /> 15+ per extra peep
                            </p>
                        </div>

                        <div className={styles.gapped}>
                            <div>
                                <img src="/puppsden.png"></img>
                            </div>
                        </div>
                    </section>
                </div>

            </article>
        </div>

        <Footer />

        
    </div>
  )
}
