import Head from 'next/head'
import styles from '../styles/Contact.module.css'
import Header from '../components/header';
import Footer from '../components/footer';
import Socials from '../components/socials';

export default function Contact() {
  return (
    <div className="page">
        <Head>
            <title>Trick - Contact</title>

            <meta property="og:type" content="website" />
            <meta property="og:url" content="https://trickthefox.com/contact" />
            <meta property="og:title" content="Trick - Contact" />
            <meta property="og:description" content="Contact me via one of my social medias or by email." />
            <meta property="og:image" content="/trick.jpg" />

            <meta property="twitter:card" content="summary_large_image" />
            <meta property="twitter:url" content="https://trickthefox.com/contact" />
            <meta property="twitter:title" content="Trick - Contact" />
            <meta property="twitter:description" content="Contact me via one of my social medias or by email." />
            <meta property="twitter:image" content="/trick.jpg" />

            <meta name="theme-color" content="#4f4fff" />
        </Head>

        <Header />

        <div className="container">
            <article className="content">

                <section className="card">
                    <h1 className="h-unset">Contact</h1>
                    <p>You can contact me through one of the methods displayed below, or by emailing me at <a href="mailto:trick@trickthefox.com" className="link">trick@trickthefox.com</a>.</p>
                </section>

                <Socials />

            </article>
        </div>

        <Footer />

        
    </div>
  )
}
